.button {
  position: relative;
  box-sizing: border-box;
  @include dflex(center, wrap, center);
  width: rem(280);
  height: rem(48);
  outline: none;
  text-decoration: none;
  border-radius: rem(25);
  background: $c-any;
  font-style: normal;
  font-weight: bold;
  font-size: rem(14);
  line-height: rem(17);
  text-align: center;
  box-shadow: 0px 12px 34px -22px rgba(238, 101, 109, 0.25);
  color: $c-white;
  transition: color .3s ease, background .3s ease;
  cursor: pointer;

  &:hover {
    background: darken($c-any, 15%);
  }

  &_borer {
    width: rem(311);
    background: none;
    border: 1px solid $c-any;
    color: $c-any;

    svg,
    img {
      margin-right: rem(10);

      path {
        transition: fill .3s ease;
      }
    }

    &:hover {
      background: $c-any;
      color: $c-white;

      svg {
        path {
          fill: $c-white;
        }
      }
    }
  }



  &_height {
    width: rem(240);
    height: rem(49);
  }

  &_blue {
    background: $c-blue;

    &:hover {
      background: darken($c-blue, 15%);
    }
  }

  @include mmax ($phone){
    width: 100%;
    margin-right: 0 !important;
    margin-bottom: rem(24);
  }
}

.button.is-disable {
  opacity: .5;
}

.button.is-active {
  opacity: 1;
}

.link {
  display: block;
  text-decoration: none;
  font-style: normal;
  font-weight: normal;
  font-size: rem(16);
  line-height: 150%;
  color: $c-black;

  &_red {
    color: $c-any;
  }

  &:hover {
    text-decoration: underline;
  }

}

.button-log {
  width: rem(100);
  box-shadow: 0px 12px 34px rgba(54, 182, 210, 0.25);
  @include dflex(center, wrap, center);
  font-style: normal;
  font-weight: bold;
  font-size: rem(14);
  text-align: center;
  color: $c-white;
  border: none;
  outline: none;
  cursor: pointer;
  text-decoration: none;
  background: $c-blue;
  z-index: 99;
  transition: background .3s ease;

  &:hover {
    background: daken($c-blue, 15%);
  }
}